commit:     be901b2db524390c1be7bb85185d449145e4e2c8
Author:     Oleksandr Trotsenko <oleksandr.trotsenko <AT> gmail <DOT> com>
AuthorDate: Sun Oct 28 03:56:15 2018 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Thu Nov  1 20:07:13 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=be901b2d

dev-python/memory_profiler: Version bump to 0.54.0

Updating the package to the latest available version.

See: https://github.com/gentoo/gentoo/pull/10198
Package-Manager: Portage-2.3.51, Repoman-2.3.11
Signed-off-by: Oleksandr Trotsenko <oleksandr.trotsenko <AT> gmail.com>
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 dev-python/memory_profiler/Manifest                |  1 +
 .../memory_profiler/memory_profiler-0.54.0.ebuild  | 38 ++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-python/memory_profiler/Manifest 
b/dev-python/memory_profiler/Manifest
index fc5e68bb8b1..bc606b32e13 100644
--- a/dev-python/memory_profiler/Manifest
+++ b/dev-python/memory_profiler/Manifest
@@ -1 +1,2 @@
 DIST memory_profiler-0.47.tar.gz 33725 BLAKE2B 
66fc0e5c579febeea9dcd5132caa6fdbccdb5cb0a2c9083f5abf8aa03baaaafe1f77f72cdbe4d5384c6ce27fd4760511f9a947fda46eee1d81e7125c1dcd2970
 SHA512 
110e16ecad33068d31cf53b2f0b775d65230d51345f24a4d7d3cafafb706b10a0c7e2d98a799256b0366f1bafa9b69c060222595bb4eb9e1689301428a36fc3d
+DIST memory_profiler-0.54.0.tar.gz 31376 BLAKE2B 
4c89a046bdce36a139448dde45c8cf952aaa8fe8e2089bf9574a8fb2ed1abb89991e54f59742b0ea1ae5315378c0799ef140752549f9a8d13a91bf0ceb021984
 SHA512 
ec5735b7e41e706ea35ce9fe0dd3963c51e50e5bdf7f1871c51bbbb2a0ae75abcdba23abd3a14979c26ce19e7ce7d2cf6782aefc77e0c17cfe4da573a6e249ae

diff --git a/dev-python/memory_profiler/memory_profiler-0.54.0.ebuild 
b/dev-python/memory_profiler/memory_profiler-0.54.0.ebuild
new file mode 100644
index 00000000000..90563399961
--- /dev/null
+++ b/dev-python/memory_profiler/memory_profiler-0.54.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="A module for monitoring memory usage of a python program"
+HOMEPAGE="https://pypi.org/project/memory_profiler/ 
https://github.com/fabianp/memory_profiler";
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+       dev-python/psutil[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+       ${EPYTHON} -m memory_profiler test/test_func.py || die
+       ${EPYTHON} -m memory_profiler test/test_loop.py || die
+       ${EPYTHON} -m memory_profiler test/test_as.py || die
+       ${EPYTHON} -m memory_profiler test/test_global.py || die
+       ${EPYTHON} -m memory_profiler test/test_precision_command_line.py || die
+       ${EPYTHON} -m memory_profiler test/test_gen.py || die
+       if python_is_python3; then
+               ${EPYTHON} -m memory_profiler test/test_unicode.py || die
+       fi
+       ${EPYTHON} test/test_tracemalloc.py || die
+       ${EPYTHON} test/test_import.py || die
+       ${EPYTHON} test/test_memory_usage.py || die
+       ${EPYTHON} test/test_precision_import.py || die
+}

Reply via email to